Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.client
Class ProfileAttributeImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.client.ProfileAttributeImpl

All Implemented Interfaces:
  ProfileAttribute, java.io.Serializable

    public class ProfileAttributeImpl

extends java.lang.Object
implements ProfileAttribute, java.io.Serializable

Author:
  sbirney
See Also:
  Serialized Form

Constructor Summary
`ProfileAttributeImpl()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getAttrValue()`
`java.lang.Object` | `getPrincipal()`
`int` | `hashCode()`
`void` | `setAttrName(java.lang.String s)`
`void` | `setAttrValue(java.lang.String s)`
`void` | `setPrincipal(java.lang.Object o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProfileAttributeImpl

    public ProfileAttributeImpl()

Method Detail

### getAttrName

    public java.lang.String getAttrName()

  Specified by:
    `getAttrName` in interface `ProfileAttribute`

### setAttrName

    public void setAttrName(java.lang.String s)

  Specified by:
    `setAttrName` in interface `ProfileAttribute`

### getAttrValue

    public java.lang.String getAttrValue()

  Specified by:
    `getAttrValue` in interface `ProfileAttribute`

### setAttrValue

    public void setAttrValue(java.lang.String s)

  Specified by:
    `setAttrValue` in interface `ProfileAttribute`

### getPrincipal

    public java.lang.Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `ProfileAttribute`

### setPrincipal

    public void setPrincipal(java.lang.Object o)

  Specified by:
    `setPrincipal` in interface `ProfileAttribute`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.